<?php

namespace KupShop\TelfaBundle\AdminRegister;

use KupShop\AdminBundle\AdminRegister\AdminRegister;
use KupShop\AdminBundle\AdminRegister\IAdminRegisterDynamic;
use KupShop\AdminBundle\AdminRegister\IAdminRegisterStatic;
use KupShop\TelfaBundle\TelfaBundle;

class TelfaAdminRegister extends AdminRegister implements IAdminRegisterDynamic, IAdminRegisterStatic
{
    public static function getMenu(): array
    {
        return [
            static::createMenuItem('toolsMenu', [
                'name' => 'telfa',
                'right' => 's=telfa.php',
            ]),
        ];
    }

    public static function getPermissions(): array
    {
        return [
            static::createPermissions('telfa', [\Modules::TELFA], ['TELFA']),
        ];
    }

    public function getActivityLogTags(): array
    {
        return [
            static::createActivityLogTag(TelfaBundle::LOG_TAG_TELFA, 'Telfa'),
        ];
    }
}
